/*
 * Class WEL_GDIP_IMAGE_ENCODER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_103 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_103 [] = {0xFF01,1551,102,0xFFFF};
static const EIF_TYPE_INDEX egt_2_103 [] = {0xFF01,102,0xFFFF};
static const EIF_TYPE_INDEX egt_3_103 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_103 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_103 [] = {0xFF01,102,0xFFFF};
static const EIF_TYPE_INDEX egt_6_103 [] = {0xFF01,102,0xFFFF};
static const EIF_TYPE_INDEX egt_7_103 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_103 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_103 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_103 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_103 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_103 [] = {0xFF01,102,0xFFFF};
static const EIF_TYPE_INDEX egt_13_103 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_14_103 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_15_103 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_16_103 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_17_103 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_18_103 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_19_103 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_20_103 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_21_103 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_22_103 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_23_103 [] = {0xFF01,116,0xFFFF};


static const struct desc_info desc_103[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_103), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_103), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_103), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_103), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_103), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_103), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_103), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_103), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_103), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_103), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_103), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_103), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xCD /*102*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_103), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1335, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_103), 1336, 0},
	{EIF_NON_GENERIC(0x15 /*10*/), 1337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xCD /*102*/), 1338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xCD /*102*/), 1319, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xCD /*102*/), 1320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xCD /*102*/), 1321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xCD /*102*/), 1322, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_103), 1323, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_103), 1324, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_103), 1325, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_103), 1326, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_103), 1327, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_103), 1328, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_103), 1329, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_103), 1330, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_103), 1331, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_103), 1332, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 1333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xCD /*102*/), 1334, 0xFFFFFFFF},
};
void Init103(void)
{
	IDSC(desc_103, 0, 102);
	IDSC(desc_103 + 1, 1, 102);
	IDSC(desc_103 + 32, 689, 102);
}


#ifdef __cplusplus
}
#endif
